{
  "runtimeTarget": {
    "name": ".NETCoreApp,Version=v9.0",
    "signature": ""
  },
  "compilationOptions": {},
  "targets": {
    ".NETCoreApp,Version=v9.0": {
      "Bot/1.0.0": {
        "dependencies": {
          "DSharpPlus": "5.0.0-nightly-02450",
          "OpenAI": "2.1.0",
          "ini-parser": "2.5.2"
        },
        "runtime": {
          "Bot.dll": {}
        }
      },
      "CommunityToolkit.HighPerformance/8.3.2": {
        "runtime": {
          "lib/net8.0/CommunityToolkit.HighPerformance.dll": {
            "assemblyVersion": "8.3.0.0",
            "fileVersion": "8.3.2.1"
          }
        }
      },
      "DSharpPlus/5.0.0-nightly-02450": {
        "dependencies": {
          "CommunityToolkit.HighPerformance": "8.3.2",
          "Microsoft.Extensions.Caching.Memory": "9.0.0",
          "Microsoft.Extensions.Logging": "9.0.0",
          "Microsoft.Extensions.Logging.Abstractions": "9.0.0",
          "NetEscapades.EnumGenerators": "1.0.0-beta11",
          "Newtonsoft.Json": "13.0.3",
          "Polly.Core": "8.5.0",
          "Ulid": "1.3.4"
        },
        "runtime": {
          "lib/net9.0/DSharpPlus.dll": {
            "assemblyVersion": "5.0.0.0",
            "fileVersion": "5.0.0.0"
          }
        }
      },
      "ini-parser/2.5.2": {
        "runtime": {
          "lib/net20/INIFileParser.dll": {
            "assemblyVersion": "2.5.2.0",
            "fileVersion": "2.5.2.0"
          }
        }
      },
      "Microsoft.Extensions.Caching.Abstractions/9.0.0": {
        "dependencies": {
          "Microsoft.Extensions.Primitives": "9.0.0"
        },
        "runtime": {
          "lib/net9.0/Microsoft.Extensions.Caching.Abstractions.dll": {
            "assemblyVersion": "9.0.0.0",
            "fileVersion": "9.0.24.52809"
          }
        }
      },
      "Microsoft.Extensions.Caching.Memory/9.0.0": {
        "dependencies": {
          "Microsoft.Extensions.Caching.Abstractions": "9.0.0",
          "Microsoft.Extensions.DependencyInjection.Abstractions": "9.0.0",
          "Microsoft.Extensions.Logging.Abstractions": "9.0.0",
          "Microsoft.Extensions.Options": "9.0.0",
          "Microsoft.Extensions.Primitives": "9.0.0"
        },
        "runtime": {
          "lib/net9.0/Microsoft.Extensions.Caching.Memory.dll": {
            "assemblyVersion": "9.0.0.0",
            "fileVersion": "9.0.24.52809"
          }
        }
      },
      "Microsoft.Extensions.DependencyInjection/9.0.0": {
        "dependencies": {
          "Microsoft.Extensions.DependencyInjection.Abstractions": "9.0.0"
        },
        "runtime": {
          "lib/net9.0/Microsoft.Extensions.DependencyInjection.dll": {
            "assemblyVersion": "9.0.0.0",
            "fileVersion": "9.0.24.52809"
          }
        }
      },
      "Microsoft.Extensions.DependencyInjection.Abstractions/9.0.0": {
        "runtime": {
          "lib/net9.0/Microsoft.Extensions.DependencyInjection.Abstractions.dll": {
            "assemblyVersion": "9.0.0.0",
            "fileVersion": "9.0.24.52809"
          }
        }
      },
      "Microsoft.Extensions.Logging/9.0.0": {
        "dependencies": {
          "Microsoft.Extensions.DependencyInjection": "9.0.0",
          "Microsoft.Extensions.Logging.Abstractions": "9.0.0",
          "Microsoft.Extensions.Options": "9.0.0"
        },
        "runtime": {
          "lib/net9.0/Microsoft.Extensions.Logging.dll": {
            "assemblyVersion": "9.0.0.0",
            "fileVersion": "9.0.24.52809"
          }
        }
      },
      "Microsoft.Extensions.Logging.Abstractions/9.0.0": {
        "dependencies": {
          "Microsoft.Extensions.DependencyInjection.Abstractions": "9.0.0"
        },
        "runtime": {
          "lib/net9.0/Microsoft.Extensions.Logging.Abstractions.dll": {
            "assemblyVersion": "9.0.0.0",
            "fileVersion": "9.0.24.52809"
          }
        }
      },
      "Microsoft.Extensions.Options/9.0.0": {
        "dependencies": {
          "Microsoft.Extensions.DependencyInjection.Abstractions": "9.0.0",
          "Microsoft.Extensions.Primitives": "9.0.0"
        },
        "runtime": {
          "lib/net9.0/Microsoft.Extensions.Options.dll": {
            "assemblyVersion": "9.0.0.0",
            "fileVersion": "9.0.24.52809"
          }
        }
      },
      "Microsoft.Extensions.Primitives/9.0.0": {
        "runtime": {
          "lib/net9.0/Microsoft.Extensions.Primitives.dll": {
            "assemblyVersion": "9.0.0.0",
            "fileVersion": "9.0.24.52809"
          }
        }
      },
      "NetEscapades.EnumGenerators/1.0.0-beta11": {
        "runtime": {
          "lib/netstandard2.0/NetEscapades.EnumGenerators.Attributes.dll": {
            "assemblyVersion": "1.0.0.0",
            "fileVersion": "1.0.0.0"
          }
        }
      },
      "Newtonsoft.Json/13.0.3": {
        "runtime": {
          "lib/net6.0/Newtonsoft.Json.dll": {
            "assemblyVersion": "13.0.0.0",
            "fileVersion": "13.0.3.27908"
          }
        }
      },
      "OpenAI/2.1.0": {
        "dependencies": {
          "System.ClientModel": "1.2.1",
          "System.Diagnostics.DiagnosticSource": "6.0.1"
        },
        "runtime": {
          "lib/net6.0/OpenAI.dll": {
            "assemblyVersion": "2.1.0.0",
            "fileVersion": "2.1.0.0"
          }
        }
      },
      "Polly.Core/8.5.0": {
        "runtime": {
          "lib/net8.0/Polly.Core.dll": {
            "assemblyVersion": "8.0.0.0",
            "fileVersion": "8.5.0.4130"
          }
        }
      },
      "System.ClientModel/1.2.1": {
        "dependencies": {
          "System.Memory.Data": "6.0.0",
          "System.Text.Json": "6.0.10"
        },
        "runtime": {
          "lib/net6.0/System.ClientModel.dll": {
            "assemblyVersion": "1.2.1.0",
            "fileVersion": "1.200.124.50905"
          }
        }
      },
      "System.Diagnostics.DiagnosticSource/6.0.1": {
        "dependencies": {
          "System.Runtime.CompilerServices.Unsafe": "6.0.0"
        }
      },
      "System.Memory.Data/6.0.0": {
        "dependencies": {
          "System.Text.Json": "6.0.10"
        },
        "runtime": {
          "lib/net6.0/System.Memory.Data.dll": {
            "assemblyVersion": "6.0.0.0",
            "fileVersion": "6.0.21.52210"
          }
        }
      },
      "System.Runtime.CompilerServices.Unsafe/6.0.0": {},
      "System.Text.Encodings.Web/6.0.0": {
        "dependencies": {
          "System.Runtime.CompilerServices.Unsafe": "6.0.0"
        }
      },
      "System.Text.Json/6.0.10": {
        "dependencies": {
          "System.Runtime.CompilerServices.Unsafe": "6.0.0",
          "System.Text.Encodings.Web": "6.0.0"
        }
      },
      "Ulid/1.3.4": {
        "runtime": {
          "lib/net8.0/Ulid.dll": {
            "assemblyVersion": "1.3.4.0",
            "fileVersion": "1.3.4.0"
          }
        }
      }
    }
  },
  "libraries": {
    "Bot/1.0.0": {
      "type": "project",
      "serviceable": false,
      "sha512": ""
    },
    "CommunityToolkit.HighPerformance/8.3.2": {
      "type": "package",
      "serviceable": true,
      "sha512": "sha512-1Os81ua0FmIOtiSgOk5C1KBraQ3SDfxs/7BG4qDagm48nGplr//lAVqLH9I2TLDVqRFdhqTUaEITFA5Ho/Ovkw==",
      "path": "communitytoolkit.highperformance/8.3.2",
      "hashPath": "communitytoolkit.highperformance.8.3.2.nupkg.sha512"
    },
    "DSharpPlus/5.0.0-nightly-02450": {
      "type": "package",
      "serviceable": true,
      "sha512": "sha512-WX24zvokxweVdyhGBQ0ouNIFGguJQ6FBrBmbrwwUxOI0gByTtI2JTaVG7pxUMXuMkihl2FiVM9Z8IQmFoZ/nSw==",
      "path": "dsharpplus/5.0.0-nightly-02450",
      "hashPath": "dsharpplus.5.0.0-nightly-02450.nupkg.sha512"
    },
    "ini-parser/2.5.2": {
      "type": "package",
      "serviceable": true,
      "sha512": "sha512-hp3gKmC/14+6eKLgv7Jd1Z7OV86lO+tNfOXr/stQbwmRhdQuXVSvrRAuAe7G5+lwhkov0XkqZ8/bn1PYWMx6eg==",
      "path": "ini-parser/2.5.2",
      "hashPath": "ini-parser.2.5.2.nupkg.sha512"
    },
    "Microsoft.Extensions.Caching.Abstractions/9.0.0": {
      "type": "package",
      "serviceable": true,
      "sha512": "sha512-FPWZAa9c0H4dvOj351iR1jkUIs4u9ykL4Bm592yhjDyO5lCoWd+TMAHx2EMbarzUvCvgjWjJIoC6//Q9kH6YhA==",
      "path": "microsoft.extensions.caching.abstractions/9.0.0",
      "hashPath": "microsoft.extensions.caching.abstractions.9.0.0.nupkg.sha512"
    },
    "Microsoft.Extensions.Caching.Memory/9.0.0": {
      "type": "package",
      "serviceable": true,
      "sha512": "sha512-zbnPX/JQ0pETRSUG9fNPBvpIq42Aufvs15gGYyNIMhCun9yhmWihz0WgsI7bSDPjxWTKBf8oX/zv6v2uZ3W9OQ==",
      "path": "microsoft.extensions.caching.memory/9.0.0",
      "hashPath": "microsoft.extensions.caching.memory.9.0.0.nupkg.sha512"
    },
    "Microsoft.Extensions.DependencyInjection/9.0.0": {
      "type": "package",
      "serviceable": true,
      "sha512": "sha512-MCPrg7v3QgNMr0vX4vzRXvkNGgLg8vKWX0nKCWUxu2uPyMsaRgiRc1tHBnbTcfJMhMKj2slE/j2M9oGkd25DNw==",
      "path": "microsoft.extensions.dependencyinjection/9.0.0",
      "hashPath": "microsoft.extensions.dependencyinjection.9.0.0.nupkg.sha512"
    },
    "Microsoft.Extensions.DependencyInjection.Abstractions/9.0.0": {
      "type": "package",
      "serviceable": true,
      "sha512": "sha512-+6f2qv2a3dLwd5w6JanPIPs47CxRbnk+ZocMJUhv9NxP88VlOcJYZs9jY+MYSjxvady08bUZn6qgiNh7DadGgg==",
      "path": "microsoft.extensions.dependencyinjection.abstractions/9.0.0",
      "hashPath": "microsoft.extensions.dependencyinjection.abstractions.9.0.0.nupkg.sha512"
    },
    "Microsoft.Extensions.Logging/9.0.0": {
      "type": "package",
      "serviceable": true,
      "sha512": "sha512-crjWyORoug0kK7RSNJBTeSE6VX8IQgLf3nUpTB9m62bPXp/tzbnOsnbe8TXEG0AASNaKZddnpHKw7fET8E++Pg==",
      "path": "microsoft.extensions.logging/9.0.0",
      "hashPath": "microsoft.extensions.logging.9.0.0.nupkg.sha512"
    },
    "Microsoft.Extensions.Logging.Abstractions/9.0.0": {
      "type": "package",
      "serviceable": true,
      "sha512": "sha512-g0UfujELzlLbHoVG8kPKVBaW470Ewi+jnptGS9KUi6jcb+k2StujtK3m26DFSGGwQ/+bVgZfsWqNzlP6YOejvw==",
      "path": "microsoft.extensions.logging.abstractions/9.0.0",
      "hashPath": "microsoft.extensions.logging.abstractions.9.0.0.nupkg.sha512"
    },
    "Microsoft.Extensions.Options/9.0.0": {
      "type": "package",
      "serviceable": true,
      "sha512": "sha512-y2146b3jrPI3Q0lokKXdKLpmXqakYbDIPDV6r3M8SqvSf45WwOTzkyfDpxnZXJsJQEpAsAqjUq5Pu8RCJMjubg==",
      "path": "microsoft.extensions.options/9.0.0",
      "hashPath": "microsoft.extensions.options.9.0.0.nupkg.sha512"
    },
    "Microsoft.Extensions.Primitives/9.0.0": {
      "type": "package",
      "serviceable": true,
      "sha512": "sha512-N3qEBzmLMYiASUlKxxFIISP4AiwuPTHF5uCh+2CWSwwzAJiIYx0kBJsS30cp1nvhSySFAVi30jecD307jV+8Kg==",
      "path": "microsoft.extensions.primitives/9.0.0",
      "hashPath": "microsoft.extensions.primitives.9.0.0.nupkg.sha512"
    },
    "NetEscapades.EnumGenerators/1.0.0-beta11": {
      "type": "package",
      "serviceable": true,
      "sha512": "sha512-37btDZQX5OzwUmF6xvqxDb0mRTXi3O/h3nVKjvri2XEwyUnHsY5g43jbPJo8Sp2gxbfJd2lto7fLLQujw5aT5Q==",
      "path": "netescapades.enumgenerators/1.0.0-beta11",
      "hashPath": "netescapades.enumgenerators.1.0.0-beta11.nupkg.sha512"
    },
    "Newtonsoft.Json/13.0.3": {
      "type": "package",
      "serviceable": true,
      "sha512": "sha512-HrC5BXdl00IP9zeV+0Z848QWPAoCr9P3bDEZguI+gkLcBKAOxix/tLEAAHC+UvDNPv4a2d18lOReHMOagPa+zQ==",
      "path": "newtonsoft.json/13.0.3",
      "hashPath": "newtonsoft.json.13.0.3.nupkg.sha512"
    },
    "OpenAI/2.1.0": {
      "type": "package",
      "serviceable": true,
      "sha512": "sha512-zl72nyP4O94ZyEoCLoE8qoc5vp8kSJmRuqR+UdK+jNIjFJGWJYjsb4rAGpMWWRTbPYuk82E8myMJdVQurMLDnQ==",
      "path": "openai/2.1.0",
      "hashPath": "openai.2.1.0.nupkg.sha512"
    },
    "Polly.Core/8.5.0": {
      "type": "package",
      "serviceable": true,
      "sha512": "sha512-VYYMZNitZ85UEhwOKkTQI63WEMvzUqwQc74I2mm8h/DBVAMcBBxqYPni4DmuRtbCwngmuONuK2yBJfWNRKzI+A==",
      "path": "polly.core/8.5.0",
      "hashPath": "polly.core.8.5.0.nupkg.sha512"
    },
    "System.ClientModel/1.2.1": {
      "type": "package",
      "serviceable": true,
      "sha512": "sha512-s9+M5El+DXdCRRLzxak8uGBKWT8H/eIssGpFtpaMKdJULrQbBDPH/zFbVyHX+NDczhS5EvjHFbBH9/L+0UhmcA==",
      "path": "system.clientmodel/1.2.1",
      "hashPath": "system.clientmodel.1.2.1.nupkg.sha512"
    },
    "System.Diagnostics.DiagnosticSource/6.0.1": {
      "type": "package",
      "serviceable": true,
      "sha512": "sha512-KiLYDu2k2J82Q9BJpWiuQqCkFjRBWVq4jDzKKWawVi9KWzyD0XG3cmfX0vqTQlL14Wi9EufJrbL0+KCLTbqWiQ==",
      "path": "system.diagnostics.diagnosticsource/6.0.1",
      "hashPath": "system.diagnostics.diagnosticsource.6.0.1.nupkg.sha512"
    },
    "System.Memory.Data/6.0.0": {
      "type": "package",
      "serviceable": true,
      "sha512": "sha512-ntFHArH3I4Lpjf5m4DCXQHJuGwWPNVJPaAvM95Jy/u+2Yzt2ryiyIN04LAogkjP9DeRcEOiviAjQotfmPq/FrQ==",
      "path": "system.memory.data/6.0.0",
      "hashPath": "system.memory.data.6.0.0.nupkg.sha512"
    },
    "System.Runtime.CompilerServices.Unsafe/6.0.0": {
      "type": "package",
      "serviceable": true,
      "sha512": "sha512-/iUeP3tq1S0XdNNoMz5C9twLSrM/TH+qElHkXWaPvuNOt+99G75NrV0OS2EqHx5wMN7popYjpc8oTjC1y16DLg==",
      "path": "system.runtime.compilerservices.unsafe/6.0.0",
      "hashPath": "system.runtime.compilerservices.unsafe.6.0.0.nupkg.sha512"
    },
    "System.Text.Encodings.Web/6.0.0": {
      "type": "package",
      "serviceable": true,
      "sha512": "sha512-Vg8eB5Tawm1IFqj4TVK1czJX89rhFxJo9ELqc/Eiq0eXy13RK00eubyU6TJE6y+GQXjyV5gSfiewDUZjQgSE0w==",
      "path": "system.text.encodings.web/6.0.0",
      "hashPath": "system.text.encodings.web.6.0.0.nupkg.sha512"
    },
    "System.Text.Json/6.0.10": {
      "type": "package",
      "serviceable": true,
      "sha512": "sha512-NSB0kDipxn2ychp88NXWfFRFlmi1bst/xynOutbnpEfRCT9JZkZ7KOmF/I/hNKo2dILiMGnqblm+j1sggdLB9g==",
      "path": "system.text.json/6.0.10",
      "hashPath": "system.text.json.6.0.10.nupkg.sha512"
    },
    "Ulid/1.3.4": {
      "type": "package",
      "serviceable": true,
      "sha512": "sha512-6IaGquwjjfW+BoHSV844y12Uy2kxbboYNmsibxr2lotcSPAA3LKy1CKcAQ8JOdAdL4xMoDNXA1oxG41w7fbr6Q==",
      "path": "ulid/1.3.4",
      "hashPath": "ulid.1.3.4.nupkg.sha512"
    }
  }
}